Subject: Re: [tcpm] Auth Option obsoleting MD5 Option in IANA registry
From: Joe Touch <[email-masked]>
To: "Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Fernando Gont <[email-masked]>
Date: Fri, 05 Mar 2010 11:40:09 -0800
List-Id: TCP Maintenance and Minor Extensions Working Group <tcpm.ietf.org>

Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP] wrote:
>> -----Original Message-----
>> From: Fernando Gont [mailto:[email-masked]]
>> Sent: Friday, March 05, 2010 2:28 PM
>> To: Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP]
>> Cc: [email-masked]
>> Subject: Re: [tcpm] Auth Option obsoleting MD5 Option in IANA registry
>>
>> Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP] wrote:
>>
>>> I think this should be easily agreed to by TCPM,
>>> since AO was created to obsolete the MD5 option,
>>> but if there are any objections to this, now is a
>>> good time to make them :).
>> Question: this does not mean that the option will be reassigned in the
>> short term for some other purpose, right?
>>
> 
> 
> Correct; the proposal is simply to add a note saying
> that TCP MD5 has been obsoleted, not to return Kind=19
> to the pool of unassigned values.

Right - here's an example from the list:

6       6       Echo (obsoleted by option 8)           [RFC1072]
7       6       Echo Reply (obsoleted by option 8)     [RFC1072]
8       10      TSOPT - Time Stamp Option              [RFC1323]

The current entry is:

19      18      MD5 Signature Option                   [RFC2385]

The proposed change would probably look like the following (compressed
to fit on a single line):

19      18   MD5 Signature Option (obsoleted by option NN) [RFC2385]

Joe